Rails2.3.2&Ruby1.9 使えない・・・。


乗り換えようと色々試しているのですが、、
全然動きません。

ここらへんの記事を見るとやっぱり早く移行はしたいけれど、
プラグインとか全然ついてこれていないので難しいです。
rails2.3.2でruby1.9サポートとは書いてあるものの、実際に動くのは基本的に部分のみ。
ちょっとライブラリやらプラグインをいれるともう駄目です。

今回スレッド処理用のアプリを開発しているだけあって以下のような検証データもでてるとなおさらruby1.9にしたいところ。

callcc page1
callcc page2
callcc page3

call page1 do
call page2 do
call page3
end
end

For 10000 requests (with one thread) Ruby 1.9.1 takes 16 seconds and requires 12 MB of memory. The same example with Ruby 1.8.7 grows to 329 MB of memory and takes 56 seconds

http://www.infoq.com/news/2009/03/wee;jsessionid=5F1208787B3DBFCC7BD1651B4F80E044

ruby1.9早すぎ。というかruby1.8が遅すぎ・・・。(汗)

早く対応してくださいまし。。